%define upstream_name Test-Warnings
%define upstream_version 0.011

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2
Summary:	Test for warnings and the lack of them
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Capture::Tiny)
BuildRequires:	perl(Module::Build::Tiny)
BuildRequires:	perl(Test::CheckDeps)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Tester)

BuildArch:	noarch

%description
This module is intended to be used as a drop-in replacement for
Test::NoWarnings: it also adds an extra test, but runs this test
before done_testing calculates the test count, rather than after.
It does this by hooking into done_testing as well as via an END
block. You can declare a plan, or not, and things will still Just
Work.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}


%build
%{__perl} Build.PL --installdirs=vendor

./Build


%check
./Build test


%install
./Build install --destdir=%{buildroot}


%files
%doc README Changes LICENSE META.json
%perl_vendorlib/*
%{_mandir}/man3/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.11.0-2.mga4
+ Revision: 542264
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.11.0-1.mga4
+ Revision: 497172
- update to 0.011

* Wed Sep 25 2013 sander85 <sander85> 0.10.0-1.mga4
+ Revision: 485896
- update to 0.010

* Wed Sep 11 2013 sander85 <sander85> 0.9.0-1.mga4
+ Revision: 477557
- update to 0.009

* Sun Jul 14 2013 sander85 <sander85> 0.8.0-1.mga4
+ Revision: 454318
- update to 0.008

* Wed Jul 10 2013 sander85 <sander85> 0.7.0-1.mga4
+ Revision: 452642
- update to 0.007

* Tue Jul 09 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 452028
- imported package perl-Test-Warnings

